opt subtitle "HI-TECH Software Omniscient Code Generator (PRO mode) build 7503"

opt pagewidth 120

	opt pm

	processor	16F628A
clrc	macro
	bcf	3,0
	endm
clrz	macro
	bcf	3,2
	endm
setc	macro
	bsf	3,0
	endm
setz	macro
	bsf	3,2
	endm
skipc	macro
	btfss	3,0
	endm
skipz	macro
	btfss	3,2
	endm
skipnc	macro
	btfsc	3,0
	endm
skipnz	macro
	btfsc	3,2
	endm
indf	equ	0
indf0	equ	0
pc	equ	2
pcl	equ	2
status	equ	3
fsr	equ	4
fsr0	equ	4
c	equ	1
z	equ	0
pclath	equ	10
	FNCALL	_main,_init_rfid
	FNCALL	_main,_init_usart
	FNCALL	_main,_init_signalization
	FNCALL	_main,_rfid_on
	FNCALL	_main,_rfid_read
	FNCALL	_main,_rfid_off
	FNCALL	_main,_usart_puts
	FNCALL	_usart_puts,_usart_putc
	FNCALL	_rfid_read,_toAscii
	FNCALL	_rfid_on,_rfid_reset
	FNCALL	_init_rfid,_rfid_off
	FNROOT	_main
	FNCALL	_capture,_rfid_interrupt
	FNCALL	_rfid_interrupt,_buffer_add_bit
	FNCALL	_rfid_interrupt,i1_rfid_reset
	FNCALL	_buffer_add_bit,_check_rfid_data
	FNCALL	_buffer_add_bit,i1_rfid_reset
	FNCALL	_check_rfid_data,_parity
	FNCALL	intlevel1,_capture
	global	intlevel1
	FNROOT	intlevel1
	global	_bitReceived
	global	_byteReceived
	global	_currentBit
psect	idataCOMMON,class=CODE,space=0,delta=2
global __pidataCOMMON
__pidataCOMMON:
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	31

;initializer for _bitReceived
	retlw	07h
	line	32

;initializer for _byteReceived
	retlw	06h
	line	28

;initializer for _currentBit
	retlw	01h
	global	_buffer
	global	_data
	global	_dataReady
	global	_needNextManchesterT
	global	_rfid_code
	global	_CCPR1
_CCPR1	set	21
	global	_TMR1
_TMR1	set	14
	global	_CCP1CON
_CCP1CON	set	23
	global	_CMCON
_CMCON	set	31
	global	_INTCONbits
_INTCONbits	set	11
	global	_PIR1bits
_PIR1bits	set	12
	global	_PORTA
_PORTA	set	5
	global	_PORTB
_PORTB	set	6
	global	_RCSTAbits
_RCSTAbits	set	24
	global	_T1CON
_T1CON	set	16
	global	_T1CONbits
_T1CONbits	set	16
	global	_TXREG
_TXREG	set	25
	global	_GIE
_GIE	set	95
	global	_OPTION_REGbits
_OPTION_REGbits	set	129
	global	_PIE1bits
_PIE1bits	set	140
	global	_SPBRG
_SPBRG	set	153
	global	_TRISA
_TRISA	set	133
	global	_TRISB
_TRISB	set	134
	global	_TXSTAbits
_TXSTAbits	set	152
	file	"RFID.as"
	line	#
psect cinit,class=CODE,delta=2
global start_initialization
start_initialization:

psect	bssCOMMON,class=COMMON,space=1
global __pbssCOMMON
__pbssCOMMON:
_needNextManchesterT:
       ds      1

psect	dataCOMMON,class=COMMON,space=1
global __pdataCOMMON
__pdataCOMMON:
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	31
_bitReceived:
       ds      1

psect	dataCOMMON
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	32
_byteReceived:
       ds      1

psect	dataCOMMON
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	28
_currentBit:
       ds      1

psect	bssBANK0,class=BANK0,space=1
global __pbssBANK0
__pbssBANK0:
_buffer:
       ds      8

_data:
       ds      5

_dataReady:
       ds      1

_rfid_code:
       ds      17

psect clrtext,class=CODE,delta=2
global clear_ram
;	Called with FSR containing the base address, and
;	W with the last address+1
clear_ram:
	clrwdt			;clear the watchdog before getting into this loop
clrloop:
	clrf	indf		;clear RAM location pointed to by FSR
	incf	fsr,f		;increment pointer
	xorwf	fsr,w		;XOR with final address
	btfsc	status,2	;have we reached the end yet?
	retlw	0		;all done for this memory range, return
	xorwf	fsr,w		;XOR again to restore value
	goto	clrloop		;do the next byte

; Clear objects allocated to COMMON
psect cinit,class=CODE,delta=2
	clrf	((__pbssCOMMON)+0)&07Fh
; Clear objects allocated to BANK0
psect cinit,class=CODE,delta=2
	bcf	status, 7	;select IRP bank0
	movlw	low(__pbssBANK0)
	movwf	fsr
	movlw	low((__pbssBANK0)+01Fh)
	fcall	clear_ram
; Initialize objects allocated to COMMON
	global __pidataCOMMON
psect cinit,class=CODE,delta=2
	fcall	__pidataCOMMON+0		;fetch initializer
	movwf	__pdataCOMMON+0&07fh		
	fcall	__pidataCOMMON+1		;fetch initializer
	movwf	__pdataCOMMON+1&07fh		
	fcall	__pidataCOMMON+2		;fetch initializer
	movwf	__pdataCOMMON+2&07fh		
psect cinit,class=CODE,delta=2
global end_of_initialization

;End of C runtime variable initialization code

end_of_initialization:
clrf status
ljmp _main	;jump to C main() function
psect	cstackCOMMON,class=COMMON,space=1
global __pcstackCOMMON
__pcstackCOMMON:
	global	?_rfid_interrupt
?_rfid_interrupt:	; 0 bytes @ 0x0
	global	?_init_rfid
?_init_rfid:	; 0 bytes @ 0x0
	global	?_init_usart
?_init_usart:	; 0 bytes @ 0x0
	global	?_init_signalization
?_init_signalization:	; 0 bytes @ 0x0
	global	?_rfid_on
?_rfid_on:	; 0 bytes @ 0x0
	global	?_rfid_off
?_rfid_off:	; 0 bytes @ 0x0
	global	?_usart_puts
?_usart_puts:	; 0 bytes @ 0x0
	global	?_buffer_add_bit
?_buffer_add_bit:	; 0 bytes @ 0x0
	global	?_rfid_reset
?_rfid_reset:	; 0 bytes @ 0x0
	global	?_capture
?_capture:	; 0 bytes @ 0x0
	global	?_main
?_main:	; 0 bytes @ 0x0
	global	??_parity
??_parity:	; 0 bytes @ 0x0
	global	?_usart_putc
?_usart_putc:	; 0 bytes @ 0x0
	global	?i1_rfid_reset
?i1_rfid_reset:	; 0 bytes @ 0x0
	global	??i1_rfid_reset
??i1_rfid_reset:	; 0 bytes @ 0x0
	global	?_rfid_read
?_rfid_read:	; 1 bytes @ 0x0
	global	?_check_rfid_data
?_check_rfid_data:	; 1 bytes @ 0x0
	global	?_parity
?_parity:	; 1 bytes @ 0x0
	global	?_toAscii
?_toAscii:	; 1 bytes @ 0x0
	global	parity@dataIn
parity@dataIn:	; 1 bytes @ 0x0
	ds	1
	global	parity@n
parity@n:	; 1 bytes @ 0x1
	ds	1
	global	parity@par
parity@par:	; 1 bytes @ 0x2
	ds	1
	global	??_buffer_add_bit
??_buffer_add_bit:	; 0 bytes @ 0x3
	ds	1
	global	??_rfid_interrupt
??_rfid_interrupt:	; 0 bytes @ 0x4
	global	??_capture
??_capture:	; 0 bytes @ 0x4
	ds	3
psect	cstackBANK0,class=BANK0,space=1
global __pcstackBANK0
__pcstackBANK0:
	global	??_check_rfid_data
??_check_rfid_data:	; 0 bytes @ 0x0
	ds	12
	global	??_init_rfid
??_init_rfid:	; 0 bytes @ 0xC
	global	??_init_usart
??_init_usart:	; 0 bytes @ 0xC
	global	??_init_signalization
??_init_signalization:	; 0 bytes @ 0xC
	global	??_rfid_on
??_rfid_on:	; 0 bytes @ 0xC
	global	??_rfid_off
??_rfid_off:	; 0 bytes @ 0xC
	global	??_rfid_reset
??_rfid_reset:	; 0 bytes @ 0xC
	global	??_toAscii
??_toAscii:	; 0 bytes @ 0xC
	global	??_usart_putc
??_usart_putc:	; 0 bytes @ 0xC
	global	toAscii@hex
toAscii@hex:	; 1 bytes @ 0xC
	global	usart_putc@c
usart_putc@c:	; 1 bytes @ 0xC
	ds	1
	global	??_rfid_read
??_rfid_read:	; 0 bytes @ 0xD
	global	??_usart_puts
??_usart_puts:	; 0 bytes @ 0xD
	global	usart_puts@s
usart_puts@s:	; 1 bytes @ 0xD
	ds	1
	global	rfid_read@checksum
rfid_read@checksum:	; 1 bytes @ 0xE
	ds	1
	global	rfid_read@n
rfid_read@n:	; 1 bytes @ 0xF
	ds	1
	global	rfid_read@code
rfid_read@code:	; 1 bytes @ 0x10
	ds	1
	global	??_main
??_main:	; 0 bytes @ 0x11
	ds	2
	global	main@m
main@m:	; 1 bytes @ 0x13
	ds	1
	global	main@n
main@n:	; 1 bytes @ 0x14
	ds	1
;;Data sizes: Strings 0, constant 0, data 3, bss 32, persistent 0 stack 0
;;Auto spaces:   Size  Autos    Used
;; COMMON          14      7      11
;; BANK0           80     21      52
;; BANK1           80      0       0
;; BANK2           48      0       0

;;
;; Pointer list with targets:

;; usart_puts@s	PTR unsigned char  size(1) Largest target is 17
;;		 -> rfid_code(BANK0[17]), 
;;
;; rfid_read@code	PTR unsigned char  size(1) Largest target is 17
;;		 -> rfid_code(BANK0[17]), 
;;


;;
;; Critical Paths under _main in COMMON
;;
;;   None.
;;
;; Critical Paths under _capture in COMMON
;;
;;   _rfid_interrupt->_buffer_add_bit
;;   _check_rfid_data->_parity
;;
;; Critical Paths under _main in BANK0
;;
;;   _main->_rfid_read
;;   _usart_puts->_usart_putc
;;   _rfid_read->_toAscii
;;
;; Critical Paths under _capture in BANK0
;;
;;   _buffer_add_bit->_check_rfid_data
;;
;; Critical Paths under _main in BANK1
;;
;;   None.
;;
;; Critical Paths under _capture in BANK1
;;
;;   None.
;;
;; Critical Paths under _main in BANK2
;;
;;   None.
;;
;; Critical Paths under _capture in BANK2
;;
;;   None.

;;
;;Main: autosize = 0, tempsize = 2, incstack = 0, save=0
;;

;;
;;Call Graph Tables:
;;
;; ---------------------------------------------------------------------------------
;; (Depth) Function   	        Calls       Base Space   Used Autos Params    Refs
;; ---------------------------------------------------------------------------------
;; (0) _main                                                 4     4      0     940
;;                                             17 BANK0      4     4      0
;;                          _init_rfid
;;                         _init_usart
;;                 _init_signalization
;;                            _rfid_on
;;                          _rfid_read
;;                           _rfid_off
;;                         _usart_puts
;; ---------------------------------------------------------------------------------
;; (1) _usart_puts                                           1     1      0      96
;;                                             13 BANK0      1     1      0
;;                         _usart_putc
;; ---------------------------------------------------------------------------------
;; (1) _rfid_read                                            4     4      0     572
;;                                             13 BANK0      4     4      0
;;                            _toAscii
;; ---------------------------------------------------------------------------------
;; (1) _rfid_on                                              2     2      0       0
;;                                             12 BANK0      2     2      0
;;                         _rfid_reset
;; ---------------------------------------------------------------------------------
;; (1) _init_rfid                                            0     0      0       0
;;                           _rfid_off
;; ---------------------------------------------------------------------------------
;; (2) _usart_putc                                           1     1      0      31
;;                                             12 BANK0      1     1      0
;; ---------------------------------------------------------------------------------
;; (2) _toAscii                                              1     1      0      71
;;                                             12 BANK0      1     1      0
;; ---------------------------------------------------------------------------------
;; (2) _rfid_reset                                           0     0      0       0
;; ---------------------------------------------------------------------------------
;; (1) _rfid_off                                             0     0      0       0
;; ---------------------------------------------------------------------------------
;; (1) _init_signalization                                   0     0      0       0
;; ---------------------------------------------------------------------------------
;; (1) _init_usart                                           0     0      0       0
;; ---------------------------------------------------------------------------------
;; Estimated maximum stack depth 2
;; ---------------------------------------------------------------------------------
;; (Depth) Function   	        Calls       Base Space   Used Autos Params    Refs
;; ---------------------------------------------------------------------------------
;; (3) _capture                                              3     3      0      71
;;                                              4 COMMON     3     3      0
;;                     _rfid_interrupt
;; ---------------------------------------------------------------------------------
;; (4) _rfid_interrupt                                       0     0      0      71
;;                     _buffer_add_bit
;;                       i1_rfid_reset
;; ---------------------------------------------------------------------------------
;; (5) _buffer_add_bit                                       1     1      0      71
;;                                              3 COMMON     1     1      0
;;                    _check_rfid_data
;;                       i1_rfid_reset
;; ---------------------------------------------------------------------------------
;; (6) _check_rfid_data                                     12    12      0      71
;;                                              0 BANK0     12    12      0
;;                             _parity
;; ---------------------------------------------------------------------------------
;; (5) i1_rfid_reset                                         0     0      0       0
;; ---------------------------------------------------------------------------------
;; (7) _parity                                               3     3      0      71
;;                                              0 COMMON     3     3      0
;; ---------------------------------------------------------------------------------
;; Estimated maximum stack depth 7
;; ---------------------------------------------------------------------------------

;; Call Graph Graphs:

;; _main (ROOT)
;;   _init_rfid
;;     _rfid_off
;;   _init_usart
;;   _init_signalization
;;   _rfid_on
;;     _rfid_reset
;;   _rfid_read
;;     _toAscii
;;   _rfid_off
;;   _usart_puts
;;     _usart_putc
;;
;; _capture (ROOT)
;;   _rfid_interrupt
;;     _buffer_add_bit
;;       _check_rfid_data
;;         _parity
;;       i1_rfid_reset
;;     i1_rfid_reset
;;

;; Address spaces:

;;Name               Size   Autos  Total    Cost      Usage
;;SFR3                 0      0       0       4        0.0%
;;BITSFR3              0      0       0       4        0.0%
;;BANK2               30      0       0       9        0.0%
;;BITBANK2            30      0       0       8        0.0%
;;SFR2                 0      0       0       5        0.0%
;;BITSFR2              0      0       0       5        0.0%
;;SFR1                 0      0       0       2        0.0%
;;BITSFR1              0      0       0       2        0.0%
;;BANK1               50      0       0       7        0.0%
;;BITBANK1            50      0       0       6        0.0%
;;CODE                 0      0       0       0        0.0%
;;DATA                 0      0      4B      10        0.0%
;;ABS                  0      0      3F       4        0.0%
;;NULL                 0      0       0       0        0.0%
;;STACK                0      0       C       2        0.0%
;;BANK0               50     15      34       3       65.0%
;;BITBANK0            50      0       0       5        0.0%
;;SFR0                 0      0       0       1        0.0%
;;BITSFR0              0      0       0       1        0.0%
;;COMMON               E      7       B       1       78.6%
;;BITCOMMON            E      0       0       0        0.0%
;;EEDATA              80      0       0       0        0.0%

	global	_main
psect	maintext,global,class=CODE,delta=2
global __pmaintext
__pmaintext:

;; *************** function _main *****************
;; Defined at:
;;		line 40 in file "C:\Users\RomanM\Documents\Microchip\RFID\main.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;  n               1   20[BANK0 ] unsigned char 
;;  m               1   19[BANK0 ] unsigned char 
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, fsr0l, fsr0h, status,2, status,0, pclath, cstack
;; Tracked objects:
;;		On entry : 17F/0
;;		On exit  : 60/0
;;		Unchanged: 0/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       2       0       0
;;      Temps:          0       2       0       0
;;      Totals:         0       4       0       0
;;Total ram usage:        4 bytes
;; Hardware stack levels required when called:    7
;; This function calls:
;;		_init_rfid
;;		_init_usart
;;		_init_signalization
;;		_rfid_on
;;		_rfid_read
;;		_rfid_off
;;		_usart_puts
;; This function is called by:
;;		Startup code after reset
;; This function uses a non-reentrant model
;;
psect	maintext
	file	"C:\Users\RomanM\Documents\Microchip\RFID\main.c"
	line	40
	global	__size_of_main
	__size_of_main	equ	__end_of_main-_main
	
_main:	
	opt	stack 1
; Regs used in _main: [wreg-fsr0h+status,2+status,0+pclath+cstack]
	line	43
	
l2828:	
;main.c: 41: char m,n;
;main.c: 43: init_rfid();
	fcall	_init_rfid
	line	44
;main.c: 44: init_usart();
	fcall	_init_usart
	line	45
;main.c: 45: init_signalization();
	fcall	_init_signalization
	line	47
	
l2830:	
;main.c: 47: for (m = 5; m > 0; m--) {
	movlw	(05h)
	movwf	(main@m)
	
l400:	
	line	48
;main.c: 48: PORTA &= ~(1 << 1); PORTA |= 1 << 0;
	bcf	(5)+(1/8),(1)&7	;volatile
	bsf	(5)+(0/8),(0)&7	;volatile
	line	49
	
l2836:	
;main.c: 49: for (n = 5; n > 0; n--) _delay((unsigned long)((100)*(4000000/4000.0)));
	movlw	(05h)
	movwf	(main@n)
	
l2842:	
	opt asmopt_off
movlw	130
movwf	((??_main+0)+0+1),f
	movlw	221
movwf	((??_main+0)+0),f
u1077:
	decfsz	((??_main+0)+0),f
	goto	u1077
	decfsz	((??_main+0)+0+1),f
	goto	u1077
	nop2
opt asmopt_on

	
l2844:	
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	decf	(main@n),f
	
l2846:	
	movf	(main@n),f
	skipz
	goto	u1021
	goto	u1020
u1021:
	goto	l2842
u1020:
	
l403:	
	line	50
;main.c: 50: PORTA |= 1 << 1; PORTA |= 1 << 0;
	bsf	(5)+(1/8),(1)&7	;volatile
	bsf	(5)+(0/8),(0)&7	;volatile
	line	51
	
l2848:	
;main.c: 51: for (n = 5; n > 0; n--) _delay((unsigned long)((100)*(4000000/4000.0)));
	movlw	(05h)
	movwf	(main@n)
	
l2854:	
	opt asmopt_off
movlw	130
movwf	((??_main+0)+0+1),f
	movlw	221
movwf	((??_main+0)+0),f
u1087:
	decfsz	((??_main+0)+0),f
	goto	u1087
	decfsz	((??_main+0)+0+1),f
	goto	u1087
	nop2
opt asmopt_on

	
l2856:	
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	decf	(main@n),f
	
l2858:	
	movf	(main@n),f
	skipz
	goto	u1031
	goto	u1030
u1031:
	goto	l2854
u1030:
	line	47
	
l2860:	
	decf	(main@m),f
	movf	(main@m),f
	skipz
	goto	u1041
	goto	u1040
u1041:
	goto	l400
u1040:
	
l401:	
	line	54
;main.c: 52: }
;main.c: 54: (GIE = 1);
	bsf	(95/8),(95)&7
	line	55
	
l2862:	
;main.c: 55: rfid_on();
	fcall	_rfid_on
	line	58
	
l2864:	
;main.c: 58: PORTA &= ~(1 << 1); PORTA |= 1 << 0;
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	bcf	(5)+(1/8),(1)&7	;volatile
	
l2866:	
	bsf	(5)+(0/8),(0)&7	;volatile
	line	60
	
l2868:	
;main.c: 60: if (rfid_read(rfid_code)) {
	movlw	(_rfid_code)&0ffh
	fcall	_rfid_read
	xorlw	0
	skipnz
	goto	u1051
	goto	u1050
u1051:
	goto	l2864
u1050:
	line	61
	
l2870:	
;main.c: 61: PORTA |= 1 << 1; PORTA &= ~(1 << 0);
	bsf	(5)+(1/8),(1)&7	;volatile
	bcf	(5)+(0/8),(0)&7	;volatile
	line	63
	
l2872:	
;main.c: 63: rfid_off();
	fcall	_rfid_off
	line	64
	
l2874:	
;main.c: 64: usart_puts(rfid_code);
	movlw	(_rfid_code)&0ffh
	fcall	_usart_puts
	line	65
	
l2876:	
;main.c: 65: for (n = 10; n > 0; n--) _delay((unsigned long)((100)*(4000000/4000.0)));
	movlw	(0Ah)
	movwf	(main@n)
	
l2882:	
	opt asmopt_off
movlw	130
movwf	((??_main+0)+0+1),f
	movlw	221
movwf	((??_main+0)+0),f
u1097:
	decfsz	((??_main+0)+0),f
	goto	u1097
	decfsz	((??_main+0)+0+1),f
	goto	u1097
	nop2
opt asmopt_on

	
l2884:	
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	decf	(main@n),f
	
l2886:	
	movf	(main@n),f
	skipz
	goto	u1061
	goto	u1060
u1061:
	goto	l2882
u1060:
	goto	l2862
	global	start
	ljmp	start
	opt stack 0
psect	maintext
	line	69
GLOBAL	__end_of_main
	__end_of_main:
;; =============== function _main ends ============

	signat	_main,88
	global	_usart_puts
psect	text542,local,class=CODE,delta=2
global __ptext542
__ptext542:

;; *************** function _usart_puts *****************
;; Defined at:
;;		line 43 in file "C:\Users\RomanM\Documents\Microchip\RFID\usart.c"
;; Parameters:    Size  Location     Type
;;  s               1    wreg     PTR unsigned char 
;;		 -> rfid_code(17), 
;; Auto vars:     Size  Location     Type
;;  s               1   13[BANK0 ] PTR unsigned char 
;;		 -> rfid_code(17), 
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, fsr0l, fsr0h, status,2, status,0, pclath, cstack
;; Tracked objects:
;;		On entry : 60/0
;;		On exit  : 160/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       1       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       1       0       0
;;Total ram usage:        1 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    6
;; This function calls:
;;		_usart_putc
;; This function is called by:
;;		_main
;; This function uses a non-reentrant model
;;
psect	text542
	file	"C:\Users\RomanM\Documents\Microchip\RFID\usart.c"
	line	43
	global	__size_of_usart_puts
	__size_of_usart_puts	equ	__end_of_usart_puts-_usart_puts
	
_usart_puts:	
	opt	stack 1
; Regs used in _usart_puts: [wreg-fsr0h+status,2+status,0+pclath+cstack]
;usart_puts@s stored from wreg
	movwf	(usart_puts@s)
	line	44
	
l2820:	
;usart.c: 44: while(*s) {
	goto	l2826
	line	45
	
l2822:	
;usart.c: 45: usart_putc(*(s++));
	movf	(usart_puts@s),w
	movwf	fsr0
	movf	indf,w
	fcall	_usart_putc
	
l2824:	
	incf	(usart_puts@s),f
	line	44
	
l2826:	
	movf	(usart_puts@s),w
	movwf	fsr0
	bcf	status, 7	;select IRP bank0
	movf	indf,f
	skipz
	goto	u1011
	goto	u1010
u1011:
	goto	l2822
u1010:
	line	47
	
l1643:	
	return
	opt stack 0
GLOBAL	__end_of_usart_puts
	__end_of_usart_puts:
;; =============== function _usart_puts ends ============

	signat	_usart_puts,4216
	global	_rfid_read
psect	text543,local,class=CODE,delta=2
global __ptext543
__ptext543:

;; *************** function _rfid_read *****************
;; Defined at:
;;		line 337 in file "C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
;; Parameters:    Size  Location     Type
;;  code            1    wreg     PTR unsigned char 
;;		 -> rfid_code(17), 
;; Auto vars:     Size  Location     Type
;;  code            1   16[BANK0 ] PTR unsigned char 
;;		 -> rfid_code(17), 
;;  n               1   15[BANK0 ] char 
;;  checksum        1   14[BANK0 ] unsigned char 
;; Return value:  Size  Location     Type
;;                  1    wreg      unsigned char 
;; Registers used:
;;		wreg, fsr0l, fsr0h, status,2, status,0, pclath, cstack
;; Tracked objects:
;;		On entry : 60/0
;;		On exit  : 60/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       3       0       0
;;      Temps:          0       1       0       0
;;      Totals:         0       4       0       0
;;Total ram usage:        4 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    6
;; This function calls:
;;		_toAscii
;; This function is called by:
;;		_main
;; This function uses a non-reentrant model
;;
psect	text543
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	337
	global	__size_of_rfid_read
	__size_of_rfid_read	equ	__end_of_rfid_read-_rfid_read
	
_rfid_read:	
	opt	stack 1
; Regs used in _rfid_read: [wreg-fsr0h+status,2+status,0+pclath+cstack]
;rfid_read@code stored from wreg
	line	339
	movwf	(rfid_read@code)
	
l2770:	
;em4095.c: 338: signed char n;
;em4095.c: 339: char checksum = data[4] ^ data[3] ^ data[2] ^ data[1] ^ data[0];
	movf	0+(_data)+04h,w
	xorwf	0+(_data)+03h,w
	xorwf	0+(_data)+02h,w
	xorwf	0+(_data)+01h,w
	xorwf	(_data),w
	movwf	(rfid_read@checksum)
	line	340
	
l2772:	
;em4095.c: 340: if (dataReady) {
	movf	(_dataReady),w
	skipz
	goto	u990
	goto	l2816
u990:
	line	341
	
l2774:	
;em4095.c: 341: *(code++) = 0x02;
	movf	(rfid_read@code),w
	movwf	fsr0
	movlw	(02h)
	bcf	status, 7	;select IRP bank0
	movwf	indf
	
l2776:	
	incf	(rfid_read@code),f
	line	343
	
l2778:	
;em4095.c: 343: for (n = 4; n >= 0; n--) {
	movlw	(04h)
	movwf	(rfid_read@n)
	line	344
	
l2784:	
;em4095.c: 344: *(code++) = toAscii(data[n] >> 4);
	movf	(rfid_read@n),w
	addlw	_data&0ffh
	movwf	fsr0
	swapf	indf,w
	andlw	(0ffh shr 4) & 0ffh
	fcall	_toAscii
	movwf	(??_rfid_read+0)+0
	movf	(rfid_read@code),w
	movwf	fsr0
	movf	(??_rfid_read+0)+0,w
	movwf	indf
	
l2786:	
	incf	(rfid_read@code),f
	line	345
	
l2788:	
;em4095.c: 345: *(code++) = toAscii(data[n]);
	movf	(rfid_read@n),w
	addlw	_data&0ffh
	movwf	fsr0
	movf	indf,w
	fcall	_toAscii
	movwf	(??_rfid_read+0)+0
	movf	(rfid_read@code),w
	movwf	fsr0
	movf	(??_rfid_read+0)+0,w
	movwf	indf
	incf	(rfid_read@code),f
	line	343
	decf	(rfid_read@n),f
	
l2790:	
	btfss	(rfid_read@n),7
	goto	u1001
	goto	u1000
u1001:
	goto	l2784
u1000:
	line	348
	
l2792:	
;em4095.c: 346: }
;em4095.c: 348: *(code++) = toAscii(checksum >> 4);
	movf	(rfid_read@code),w
	movwf	fsr0
	swapf	(rfid_read@checksum),w
	andlw	(0ffh shr 4) & 0ffh
	fcall	_toAscii
	movwf	indf
	
l2794:	
	incf	(rfid_read@code),f
	line	349
	
l2796:	
;em4095.c: 349: *(code++) = toAscii(checksum);
	movf	(rfid_read@code),w
	movwf	fsr0
	movf	(rfid_read@checksum),w
	fcall	_toAscii
	movwf	indf
	incf	(rfid_read@code),f
	line	351
	
l2798:	
;em4095.c: 351: *(code++) = 0x0d;
	movf	(rfid_read@code),w
	movwf	fsr0
	movlw	(0Dh)
	movwf	indf
	
l2800:	
	incf	(rfid_read@code),f
	line	352
;em4095.c: 352: *(code++) = 0x0a;
	movf	(rfid_read@code),w
	movwf	fsr0
	movlw	(0Ah)
	movwf	indf
	
l2802:	
	incf	(rfid_read@code),f
	line	353
	
l2804:	
;em4095.c: 353: *(code++) = 0x03;
	movf	(rfid_read@code),w
	movwf	fsr0
	movlw	(03h)
	movwf	indf
	incf	(rfid_read@code),f
	line	354
	
l2806:	
;em4095.c: 354: *(code++) = 0x00;
	movf	(rfid_read@code),w
	movwf	fsr0
	clrf	indf
	
l2808:	
	incf	(rfid_read@code),f
	line	356
	
l2810:	
;em4095.c: 356: dataReady = 0;
	clrf	(_dataReady)
	line	358
	
l2812:	
;em4095.c: 358: return 1;
	movlw	(01h)
	goto	l877
	line	360
	
l2816:	
;em4095.c: 359: }
;em4095.c: 360: return 0;
	movlw	(0)
	line	361
	
l877:	
	return
	opt stack 0
GLOBAL	__end_of_rfid_read
	__end_of_rfid_read:
;; =============== function _rfid_read ends ============

	signat	_rfid_read,4217
	global	_rfid_on
psect	text544,local,class=CODE,delta=2
global __ptext544
__ptext544:

;; *************** function _rfid_on *****************
;; Defined at:
;;		line 174 in file "C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, status,2, status,0, pclath, cstack
;; Tracked objects:
;;		On entry : 60/0
;;		On exit  : 0/0
;;		Unchanged: 0/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       2       0       0
;;      Totals:         0       2       0       0
;;Total ram usage:        2 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    6
;; This function calls:
;;		_rfid_reset
;; This function is called by:
;;		_main
;; This function uses a non-reentrant model
;;
psect	text544
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	174
	global	__size_of_rfid_on
	__size_of_rfid_on	equ	__end_of_rfid_on-_rfid_on
	
_rfid_on:	
	opt	stack 1
; Regs used in _rfid_on: [wreg+status,2+status,0+pclath+cstack]
	line	175
	
l2762:	
;em4095.c: 175: rfid_reset();
	fcall	_rfid_reset
	line	176
	
l2764:	
;em4095.c: 176: PORTB &= ~(1 << 4);
	bcf	(6)+(4/8),(4)&7	;volatile
	line	177
	
l2766:	
;em4095.c: 177: PORTB &= ~(1 << 5);
	bcf	(6)+(5/8),(5)&7	;volatile
	line	178
	
l2768:	
;em4095.c: 178: _delay((unsigned long)((35)*(4000000/4000.0)));
	opt asmopt_off
movlw	46
movwf	((??_rfid_on+0)+0+1),f
	movlw	115
movwf	((??_rfid_on+0)+0),f
u1107:
	decfsz	((??_rfid_on+0)+0),f
	goto	u1107
	decfsz	((??_rfid_on+0)+0+1),f
	goto	u1107
opt asmopt_on

	line	179
	
l840:	
	return
	opt stack 0
GLOBAL	__end_of_rfid_on
	__end_of_rfid_on:
;; =============== function _rfid_on ends ============

	signat	_rfid_on,88
	global	_init_rfid
psect	text545,local,class=CODE,delta=2
global __ptext545
__ptext545:

;; *************** function _init_rfid *****************
;; Defined at:
;;		line 45 in file "C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, status,2, status,0, pclath, cstack
;; Tracked objects:
;;		On entry : 17F/0
;;		On exit  : 17F/0
;;		Unchanged: FFE80/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       0       0       0
;;Total ram usage:        0 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    6
;; This function calls:
;;		_rfid_off
;; This function is called by:
;;		_main
;; This function uses a non-reentrant model
;;
psect	text545
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	45
	global	__size_of_init_rfid
	__size_of_init_rfid	equ	__end_of_init_rfid-_init_rfid
	
_init_rfid:	
	opt	stack 1
; Regs used in _init_rfid: [wreg+status,2+status,0+pclath+cstack]
	line	46
	
l2748:	
;em4095.c: 46: OPTION_REGbits.nRBPU = 0;
	bsf	status, 5	;RP0=1, select bank1
	bcf	(129)^080h,7	;volatile
	line	49
;em4095.c: 49: TRISB &= ~(1 << 4);
	bcf	(134)^080h+(4/8),(4)&7	;volatile
	line	50
;em4095.c: 50: TRISB &= ~(1 << 5);
	bcf	(134)^080h+(5/8),(5)&7	;volatile
	line	53
;em4095.c: 53: TRISB |= 1 << 0;
	bsf	(134)^080h+(0/8),(0)&7	;volatile
	line	54
;em4095.c: 54: TRISB |= 1 << 3;
	bsf	(134)^080h+(3/8),(3)&7	;volatile
	line	57
	
l2750:	
;em4095.c: 57: T1CON = 3 << 4;
	movlw	(030h)
	bcf	status, 5	;RP0=0, select bank0
	movwf	(16)	;volatile
	line	58
	
l2752:	
;em4095.c: 58: T1CONbits.TMR1CS = 0;
	bcf	(16),1	;volatile
	line	59
	
l2754:	
;em4095.c: 59: T1CONbits.TMR1ON = 1;
	bsf	(16),0	;volatile
	line	62
;em4095.c: 62: CCP1CON = 0x05;
	movlw	(05h)
	movwf	(23)	;volatile
	line	63
	
l2756:	
;em4095.c: 63: PIE1bits.CCP1IE = 1;
	bsf	status, 5	;RP0=1, select bank1
	bsf	(140)^080h,2	;volatile
	line	64
	
l2758:	
;em4095.c: 64: INTCONbits.PEIE = 1;
	bsf	(11),6	;volatile
	line	66
	
l2760:	
;em4095.c: 66: rfid_off();
	fcall	_rfid_off
	line	67
	
l813:	
	return
	opt stack 0
GLOBAL	__end_of_init_rfid
	__end_of_init_rfid:
;; =============== function _init_rfid ends ============

	signat	_init_rfid,88
	global	_usart_putc
psect	text546,local,class=CODE,delta=2
global __ptext546
__ptext546:

;; *************** function _usart_putc *****************
;; Defined at:
;;		line 33 in file "C:\Users\RomanM\Documents\Microchip\RFID\usart.c"
;; Parameters:    Size  Location     Type
;;  c               1    wreg     unsigned char 
;; Auto vars:     Size  Location     Type
;;  c               1   12[BANK0 ] unsigned char 
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg
;; Tracked objects:
;;		On entry : 160/0
;;		On exit  : 160/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       1       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       1       0       0
;;Total ram usage:        1 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    5
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_usart_puts
;; This function uses a non-reentrant model
;;
psect	text546
	file	"C:\Users\RomanM\Documents\Microchip\RFID\usart.c"
	line	33
	global	__size_of_usart_putc
	__size_of_usart_putc	equ	__end_of_usart_putc-_usart_putc
	
_usart_putc:	
	opt	stack 1
; Regs used in _usart_putc: [wreg]
;usart_putc@c stored from wreg
	movwf	(usart_putc@c)
	line	34
	
l2744:	
;usart.c: 34: while(TXSTAbits.TRMT == 0);
	
l1634:	
	bsf	status, 5	;RP0=1, select bank1
	btfss	(152)^080h,1	;volatile
	goto	u981
	goto	u980
u981:
	goto	l1634
u980:
	line	35
	
l2746:	
;usart.c: 35: TXREG = c;
	bcf	status, 5	;RP0=0, select bank0
	movf	(usart_putc@c),w
	movwf	(25)	;volatile
	line	36
	
l1637:	
	return
	opt stack 0
GLOBAL	__end_of_usart_putc
	__end_of_usart_putc:
;; =============== function _usart_putc ends ============

	signat	_usart_putc,4216
	global	_toAscii
psect	text547,local,class=CODE,delta=2
global __ptext547
__ptext547:

;; *************** function _toAscii *****************
;; Defined at:
;;		line 320 in file "C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
;; Parameters:    Size  Location     Type
;;  hex             1    wreg     unsigned char 
;; Auto vars:     Size  Location     Type
;;  hex             1   12[BANK0 ] unsigned char 
;; Return value:  Size  Location     Type
;;                  1    wreg      unsigned char 
;; Registers used:
;;		wreg, status,2, status,0
;; Tracked objects:
;;		On entry : 160/0
;;		On exit  : 160/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       1       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       1       0       0
;;Total ram usage:        1 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    5
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_rfid_read
;; This function uses a non-reentrant model
;;
psect	text547
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	320
	global	__size_of_toAscii
	__size_of_toAscii	equ	__end_of_toAscii-_toAscii
	
_toAscii:	
	opt	stack 1
; Regs used in _toAscii: [wreg+status,2+status,0]
;toAscii@hex stored from wreg
	movwf	(toAscii@hex)
	line	321
	
l2736:	
;em4095.c: 321: hex &= 0x0f;
	movlw	(0Fh)
	andwf	(toAscii@hex),f
	line	322
;em4095.c: 322: if (hex > 9) hex += 7;
	movlw	(0Ah)
	subwf	(toAscii@hex),w
	skipc
	goto	u971
	goto	u970
u971:
	goto	l870
u970:
	
l2738:	
	movlw	(07h)
	addwf	(toAscii@hex),f
	
l870:	
	line	323
;em4095.c: 323: hex += 0x30;
	movlw	(030h)
	addwf	(toAscii@hex),f
	line	324
	
l2740:	
;em4095.c: 324: return hex;
	movf	(toAscii@hex),w
	line	325
	
l871:	
	return
	opt stack 0
GLOBAL	__end_of_toAscii
	__end_of_toAscii:
;; =============== function _toAscii ends ============

	signat	_toAscii,4217
	global	_rfid_reset
psect	text548,local,class=CODE,delta=2
global __ptext548
__ptext548:

;; *************** function _rfid_reset *****************
;; Defined at:
;;		line 139 in file "C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, status,2
;; Tracked objects:
;;		On entry : 60/0
;;		On exit  : 60/0
;;		Unchanged: FFF9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       0       0       0
;;Total ram usage:        0 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    5
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_rfid_on
;; This function uses a non-reentrant model
;;
psect	text548
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	139
	global	__size_of_rfid_reset
	__size_of_rfid_reset	equ	__end_of_rfid_reset-_rfid_reset
	
_rfid_reset:	
	opt	stack 1
; Regs used in _rfid_reset: [wreg+status,2]
	line	140
	
l2726:	
;em4095.c: 140: buffer[0] = 0;
	clrf	(_buffer)
	line	141
;em4095.c: 141: buffer[1] = 0;
	clrf	0+(_buffer)+01h
	line	142
;em4095.c: 142: buffer[2] = 0;
	clrf	0+(_buffer)+02h
	line	143
;em4095.c: 143: buffer[3] = 0;
	clrf	0+(_buffer)+03h
	line	144
;em4095.c: 144: buffer[4] = 0;
	clrf	0+(_buffer)+04h
	line	145
;em4095.c: 145: buffer[5] = 0;
	clrf	0+(_buffer)+05h
	line	146
;em4095.c: 146: buffer[6] = 0;
	clrf	0+(_buffer)+06h
	line	147
;em4095.c: 147: buffer[7] = 0;
	clrf	0+(_buffer)+07h
	line	149
	
l2728:	
;em4095.c: 149: currentBit = 1;
	clrf	(_currentBit)
	incf	(_currentBit),f
	line	150
;em4095.c: 150: needNextManchesterT = 0;
	clrf	(_needNextManchesterT)
	line	152
	
l2730:	
;em4095.c: 152: bitReceived = 7;
	movlw	(07h)
	movwf	(_bitReceived)
	line	153
	
l2732:	
;em4095.c: 153: byteReceived = 6;
	movlw	(06h)
	movwf	(_byteReceived)
	line	155
	
l2734:	
;em4095.c: 155: CCP1CON = 0x05;
	movlw	(05h)
	movwf	(23)	;volatile
	line	156
	
l834:	
	return
	opt stack 0
GLOBAL	__end_of_rfid_reset
	__end_of_rfid_reset:
;; =============== function _rfid_reset ends ============

	signat	_rfid_reset,88
	global	_rfid_off
psect	text549,local,class=CODE,delta=2
global __ptext549
__ptext549:

;; *************** function _rfid_off *****************
;; Defined at:
;;		line 163 in file "C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		status,2
;; Tracked objects:
;;		On entry : 40/0
;;		On exit  : 60/0
;;		Unchanged: FFF9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       0       0       0
;;Total ram usage:        0 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    5
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_main
;;		_init_rfid
;; This function uses a non-reentrant model
;;
psect	text549
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	163
	global	__size_of_rfid_off
	__size_of_rfid_off	equ	__end_of_rfid_off-_rfid_off
	
_rfid_off:	
	opt	stack 2
; Regs used in _rfid_off: [status,2]
	line	164
	
l2720:	
;em4095.c: 164: dataReady = 0;
	bcf	status, 5	;RP0=0, select bank0
	clrf	(_dataReady)
	line	165
	
l2722:	
;em4095.c: 165: PORTB &= ~(1 << 4);
	bcf	(6)+(4/8),(4)&7	;volatile
	line	166
	
l2724:	
;em4095.c: 166: PORTB |= 1 << 5;
	bsf	(6)+(5/8),(5)&7	;volatile
	line	167
	
l837:	
	return
	opt stack 0
GLOBAL	__end_of_rfid_off
	__end_of_rfid_off:
;; =============== function _rfid_off ends ============

	signat	_rfid_off,88
	global	_init_signalization
psect	text550,local,class=CODE,delta=2
global __ptext550
__ptext550:

;; *************** function _init_signalization *****************
;; Defined at:
;;		line 18 in file "C:\Users\RomanM\Documents\Microchip\RFID\signalization.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg
;; Tracked objects:
;;		On entry : 17F/20
;;		On exit  : 17F/0
;;		Unchanged: FFE80/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       0       0       0
;;Total ram usage:        0 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    5
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_main
;; This function uses a non-reentrant model
;;
psect	text550
	file	"C:\Users\RomanM\Documents\Microchip\RFID\signalization.c"
	line	18
	global	__size_of_init_signalization
	__size_of_init_signalization	equ	__end_of_init_signalization-_init_signalization
	
_init_signalization:	
	opt	stack 2
; Regs used in _init_signalization: [wreg]
	line	19
	
l2710:	
;signalization.c: 19: CMCON = 0x07;
	movlw	(07h)
	bcf	status, 5	;RP0=0, select bank0
	movwf	(31)	;volatile
	line	21
	
l2712:	
;signalization.c: 21: TRISA &= ~(1 << 1);
	bsf	status, 5	;RP0=1, select bank1
	bcf	(133)^080h+(1/8),(1)&7	;volatile
	line	22
	
l2714:	
;signalization.c: 22: TRISA &= ~(1 << 0);
	bcf	(133)^080h+(0/8),(0)&7	;volatile
	line	24
	
l2716:	
;signalization.c: 24: PORTA |= 1 << 1; PORTA |= 1 << 0;
	bcf	status, 5	;RP0=0, select bank0
	bsf	(5)+(1/8),(1)&7	;volatile
	
l2718:	
	bsf	(5)+(0/8),(0)&7	;volatile
	line	25
	
l1254:	
	return
	opt stack 0
GLOBAL	__end_of_init_signalization
	__end_of_init_signalization:
;; =============== function _init_signalization ends ============

	signat	_init_signalization,88
	global	_init_usart
psect	text551,local,class=CODE,delta=2
global __ptext551
__ptext551:

;; *************** function _init_usart *****************
;; Defined at:
;;		line 18 in file "C:\Users\RomanM\Documents\Microchip\RFID\usart.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg
;; Tracked objects:
;;		On entry : 17F/0
;;		On exit  : 17F/20
;;		Unchanged: FFE80/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       0       0       0
;;Total ram usage:        0 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    5
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_main
;; This function uses a non-reentrant model
;;
psect	text551
	file	"C:\Users\RomanM\Documents\Microchip\RFID\usart.c"
	line	18
	global	__size_of_init_usart
	__size_of_init_usart	equ	__end_of_init_usart-_init_usart
	
_init_usart:	
	opt	stack 2
; Regs used in _init_usart: [wreg]
	line	19
	
l2704:	
;usart.c: 19: RCSTAbits.SPEN = 1;
	bsf	(24),7	;volatile
	line	20
;usart.c: 20: TXSTAbits.SYNC = 0;
	bsf	status, 5	;RP0=1, select bank1
	bcf	(152)^080h,4	;volatile
	line	22
;usart.c: 22: TXSTAbits.BRGH = 1;
	bsf	(152)^080h,2	;volatile
	line	23
	
l2706:	
;usart.c: 23: SPBRG = 25;
	movlw	(019h)
	movwf	(153)^080h	;volatile
	line	25
	
l2708:	
;usart.c: 25: TXSTAbits.TXEN = 1;
	bsf	(152)^080h,5	;volatile
	line	26
	
l1631:	
	return
	opt stack 0
GLOBAL	__end_of_init_usart
	__end_of_init_usart:
;; =============== function _init_usart ends ============

	signat	_init_usart,88
	global	_capture
psect	text552,local,class=CODE,delta=2
global __ptext552
__ptext552:

;; *************** function _capture *****************
;; Defined at:
;;		line 26 in file "C:\Users\RomanM\Documents\Microchip\RFID\main.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, fsr0l, fsr0h, fsr1l, fsr1h, status,2, status,0, btemp+1, pclath, cstack
;; Tracked objects:
;;		On entry : 0/0
;;		On exit  : 60/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          3       0       0       0
;;      Totals:         3       0       0       0
;;Total ram usage:        3 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    4
;; This function calls:
;;		_rfid_interrupt
;; This function is called by:
;;		Interrupt level 1
;; This function uses a non-reentrant model
;;
psect	text552
	file	"C:\Users\RomanM\Documents\Microchip\RFID\main.c"
	global	__size_of_capture
	__size_of_capture	equ	__end_of_capture-_capture
	
_capture:	
	opt	stack 1
; Regs used in _capture: [allreg]
psect	intentry,class=CODE,delta=2
global __pintentry
__pintentry:
global interrupt_function
interrupt_function:
	global saved_w
	saved_w	set	btemp+0
	movwf	saved_w
	swapf	status,w
	movwf	(??_capture+0)
	movf	fsr0,w
	movwf	(??_capture+1)
	movf	pclath,w
	movwf	(??_capture+2)
	ljmp	_capture
psect	text552
	line	27
	
i1l2368:	
;main.c: 27: rfid_interrupt();
	fcall	_rfid_interrupt
	line	28
	
i1l2370:	
;main.c: 28: PIR1bits.CCP1IF = 0;
	bcf	(12),2	;volatile
	line	29
	
i1l397:	
	movf	(??_capture+2),w
	movwf	pclath
	movf	(??_capture+1),w
	movwf	fsr0
	swapf	(??_capture+0)^0FFFFFF80h,w
	movwf	status
	swapf	saved_w,f
	swapf	saved_w,w
	retfie
	opt stack 0
GLOBAL	__end_of_capture
	__end_of_capture:
;; =============== function _capture ends ============

	signat	_capture,88
	global	_rfid_interrupt
psect	text553,local,class=CODE,delta=2
global __ptext553
__ptext553:

;; *************** function _rfid_interrupt *****************
;; Defined at:
;;		line 74 in file "C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, fsr0l, fsr0h, fsr1l, fsr1h, status,2, status,0, btemp+1, pclath, cstack
;; Tracked objects:
;;		On entry : 0/0
;;		On exit  : 60/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       0       0       0
;;Total ram usage:        0 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    3
;; This function calls:
;;		_buffer_add_bit
;;		i1_rfid_reset
;; This function is called by:
;;		_capture
;; This function uses a non-reentrant model
;;
psect	text553
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	74
	global	__size_of_rfid_interrupt
	__size_of_rfid_interrupt	equ	__end_of_rfid_interrupt-_rfid_interrupt
	
_rfid_interrupt:	
	opt	stack 1
; Regs used in _rfid_interrupt: [allreg]
	line	75
	
i1l2372:	
;em4095.c: 75: TMR1 = 0;
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	clrf	(14)	;volatile
	clrf	(14+1)	;volatile
	line	77
	
i1l2374:	
;em4095.c: 77: if ((CCPR1 < (((64 + 64 / 2) / 2) + 64 / 2) && CCPR1 > (((64 + 64 / 2) / 2) - 64 / 2))) {
	movlw	high(050h)
	subwf	(21+1),w	;volatile
	movlw	low(050h)
	skipnz
	subwf	(21),w	;volatile
	skipnc
	goto	u49_21
	goto	u49_20
u49_21:
	goto	i1l2386
u49_20:
	
i1l2376:	
	movlw	high(011h)
	subwf	(21+1),w	;volatile
	movlw	low(011h)
	skipnz
	subwf	(21),w	;volatile
	skipc
	goto	u50_21
	goto	u50_20
u50_21:
	goto	i1l2386
u50_20:
	line	78
	
i1l2378:	
;em4095.c: 78: if (needNextManchesterT) {
	movf	(_needNextManchesterT),w
	skipz
	goto	u51_20
	goto	i1l2390
u51_20:
	line	79
	
i1l2380:	
;em4095.c: 79: if ((CCPR1 < ((64 + 64 / 2) / 2))) {
	movlw	high(030h)
	subwf	(21+1),w	;volatile
	movlw	low(030h)
	skipnz
	subwf	(21),w	;volatile
	skipnc
	goto	u52_21
	goto	u52_20
u52_21:
	goto	i1l2386
u52_20:
	line	80
	
i1l2382:	
;em4095.c: 80: needNextManchesterT = 0;
	clrf	(_needNextManchesterT)
	line	81
	
i1l2384:	
;em4095.c: 81: buffer_add_bit();
	fcall	_buffer_add_bit
	line	82
;em4095.c: 82: }
	goto	i1l2402
	line	84
	
i1l2386:	
;em4095.c: 83: else {
;em4095.c: 84: rfid_reset();
	fcall	i1_rfid_reset
	goto	i1l820
	line	89
	
i1l2390:	
;em4095.c: 88: else {
;em4095.c: 89: if ((CCPR1 < ((64 + 64 / 2) / 2))) {
	movlw	high(030h)
	subwf	(21+1),w	;volatile
	movlw	low(030h)
	skipnz
	subwf	(21),w	;volatile
	skipnc
	goto	u53_21
	goto	u53_20
u53_21:
	goto	i1l2394
u53_20:
	line	90
	
i1l2392:	
;em4095.c: 90: needNextManchesterT = 1;
	clrf	(_needNextManchesterT)
	incf	(_needNextManchesterT),f
	line	91
;em4095.c: 91: }
	goto	i1l2402
	line	93
	
i1l2394:	
;em4095.c: 92: else {
;em4095.c: 93: currentBit ^= 0x01;
	movlw	(01h)
	xorwf	(_currentBit),f
	goto	i1l2384
	line	103
	
i1l2402:	
;em4095.c: 101: }
;em4095.c: 103: CCP1CON ^= 0x01;
	movlw	(01h)
	xorwf	(23),f	;volatile
	line	105
	
i1l820:	
	return
	opt stack 0
GLOBAL	__end_of_rfid_interrupt
	__end_of_rfid_interrupt:
;; =============== function _rfid_interrupt ends ============

	signat	_rfid_interrupt,88
	global	_buffer_add_bit
psect	text554,local,class=CODE,delta=2
global __ptext554
__ptext554:

;; *************** function _buffer_add_bit *****************
;; Defined at:
;;		line 112 in file "C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, fsr0l, fsr0h, fsr1l, fsr1h, status,2, status,0, btemp+1, pclath, cstack
;; Tracked objects:
;;		On entry : 0/0
;;		On exit  : 60/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          1       0       0       0
;;      Totals:         1       0       0       0
;;Total ram usage:        1 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    2
;; This function calls:
;;		_check_rfid_data
;;		i1_rfid_reset
;; This function is called by:
;;		_rfid_interrupt
;; This function uses a non-reentrant model
;;
psect	text554
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	112
	global	__size_of_buffer_add_bit
	__size_of_buffer_add_bit	equ	__end_of_buffer_add_bit-_buffer_add_bit
	
_buffer_add_bit:	
	opt	stack 1
; Regs used in _buffer_add_bit: [allreg]
	line	113
	
i1l2428:	
;em4095.c: 113: if (buffer[7] == 0xff) {
	bcf	status, 5	;RP0=0, select bank0
	bcf	status, 6	;RP1=0, select bank0
	movf	0+(_buffer)+07h,w
	xorlw	0FFh
	skipz
	goto	u54_21
	goto	u54_20
u54_21:
	goto	i1l827
u54_20:
	line	115
	
i1l2430:	
;em4095.c: 115: buffer[byteReceived] |= currentBit << bitReceived;
	movf	(_byteReceived),w
	addlw	_buffer&0ffh
	movwf	fsr0
	movf	(_currentBit),w
	movwf	(??_buffer_add_bit+0)+0
	incf	(_bitReceived),w
	goto	u55_24
u55_25:
	clrc
	rlf	(??_buffer_add_bit+0)+0,f
u55_24:
	addlw	-1
	skipz
	goto	u55_25
	movf	0+(??_buffer_add_bit+0)+0,w
	bcf	status, 7	;select IRP bank0
	iorwf	indf,f
	line	117
	
i1l2432:	
;em4095.c: 117: if (bitReceived-- == 0) {
	decf	(_bitReceived),f
	movf	((_bitReceived)),w
	xorlw	0FFh
	skipz
	goto	u56_21
	goto	u56_20
u56_21:
	goto	i1l830
u56_20:
	line	118
	
i1l2434:	
;em4095.c: 118: bitReceived = 7;
	movlw	(07h)
	movwf	(_bitReceived)
	line	120
	
i1l2436:	
;em4095.c: 120: if (byteReceived-- == 0) {
	decf	(_byteReceived),f
	movf	((_byteReceived)),w
	xorlw	0FFh
	skipz
	goto	u57_21
	goto	u57_20
u57_21:
	goto	i1l830
u57_20:
	line	122
	
i1l2438:	
;em4095.c: 122: check_rfid_data();
	fcall	_check_rfid_data
	line	123
	
i1l2440:	
;em4095.c: 123: rfid_reset();
	fcall	i1_rfid_reset
	goto	i1l830
	line	128
	
i1l827:	
	line	129
;em4095.c: 128: else {
;em4095.c: 129: buffer[7] <<= 1;
	clrc
	rlf	0+(_buffer)+07h,f
	line	130
	
i1l2444:	
;em4095.c: 130: buffer[7] |= currentBit;
	movf	(_currentBit),w
	iorwf	0+(_buffer)+07h,f
	line	132
	
i1l830:	
	return
	opt stack 0
GLOBAL	__end_of_buffer_add_bit
	__end_of_buffer_add_bit:
;; =============== function _buffer_add_bit ends ============

	signat	_buffer_add_bit,88
	global	_check_rfid_data
psect	text555,local,class=CODE,delta=2
global __ptext555
__ptext555:

;; *************** function _check_rfid_data *****************
;; Defined at:
;;		line 218 in file "C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;                  1    wreg      unsigned char 
;; Registers used:
;;		wreg, status,2, status,0, pclath, cstack
;; Tracked objects:
;;		On entry : 160/0
;;		On exit  : 160/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0      12       0       0
;;      Totals:         0      12       0       0
;;Total ram usage:       12 bytes
;; Hardware stack levels used:    1
;; Hardware stack levels required when called:    1
;; This function calls:
;;		_parity
;; This function is called by:
;;		_buffer_add_bit
;; This function uses a non-reentrant model
;;
psect	text555
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	218
	global	__size_of_check_rfid_data
	__size_of_check_rfid_data	equ	__end_of_check_rfid_data-_check_rfid_data
	
_check_rfid_data:	
	opt	stack 1
; Regs used in _check_rfid_data: [wreg+status,2+status,0+pclath+cstack]
	line	220
	
i1l2456:	
;em4095.c: 220: if ((buffer[7] != 0xff) || ((buffer[6] & 0x80) != 0x80)) {
	movf	0+(_buffer)+07h,w
	xorlw	0FFh
	skipz
	goto	u58_21
	goto	u58_20
u58_21:
	goto	i1l852
u58_20:
	
i1l2458:	
	btfsc	0+(_buffer)+06h,(7)&7
	goto	u59_21
	goto	u59_20
u59_21:
	goto	i1l849
u59_20:
	goto	i1l852
	line	222
	
i1l849:	
	line	223
;em4095.c: 222: }
;em4095.c: 223: if ((buffer[0] & 0x01) != 0) {
	btfss	(_buffer),(0)&7
	goto	u60_21
	goto	u60_20
u60_21:
	goto	i1l2462
u60_20:
	goto	i1l852
	line	227
	
i1l2462:	
;em4095.c: 225: }
;em4095.c: 227: if (parity(buffer[6] & 0b01111000) != ((buffer[6] & 0x04) >> 2))
	movf	0+(_buffer)+06h,w
	movwf	(??_check_rfid_data+0)+0
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+06h,w
	andlw	078h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	skipnz
	goto	u61_21
	goto	u61_20
u61_21:
	goto	i1l2466
u61_20:
	goto	i1l852
	line	230
	
i1l2466:	
;em4095.c: 230: if (parity(buffer[6] & 0b00000011) ^ parity(buffer[5] & 0b11000000) != ((buffer[5] & 0x20) >> 5))
	movf	0+(_buffer)+05h,w
	movwf	(??_check_rfid_data+0)+0
	movlw	05h
u62_25:
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	addlw	-1
	skipz
	goto	u62_25
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+05h,w
	andlw	0C0h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	movlw	0
	skipz
	movlw	1
	movwf	(??_check_rfid_data+2)+0
	clrf	(??_check_rfid_data+2)+0+1
	movf	0+(_buffer)+06h,w
	andlw	03h
	fcall	_parity
	movwf	(??_check_rfid_data+4)+0
	movf	0+(??_check_rfid_data+2)+0,w
	xorwf	0+(??_check_rfid_data+4)+0,w
	movwf	(??_check_rfid_data+5)+0
	movf	1+(??_check_rfid_data+2)+0,w
	movwf	1+(??_check_rfid_data+5)+0
	movf	1+(??_check_rfid_data+5)+0,w
	iorwf	0+(??_check_rfid_data+5)+0,w
	skipnz
	goto	u63_21
	goto	u63_20
u63_21:
	goto	i1l2470
u63_20:
	goto	i1l852
	line	233
	
i1l2470:	
;em4095.c: 233: if (parity(buffer[5] & 0b00011110) != (buffer[5] & 0x01))
	movlw	(01h)
	andwf	0+(_buffer)+05h,w
	movwf	(??_check_rfid_data+0)+0
	movf	0+(_buffer)+05h,w
	andlw	01Eh
	fcall	_parity
	xorwf	0+(??_check_rfid_data+0)+0,w
	skipnz
	goto	u64_21
	goto	u64_20
u64_21:
	goto	i1l2474
u64_20:
	goto	i1l852
	line	236
	
i1l2474:	
;em4095.c: 236: if (parity(buffer[4] & 0b11110000) != ((buffer[4] & 0x08) >> 3))
	movf	0+(_buffer)+04h,w
	movwf	(??_check_rfid_data+0)+0
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+04h,w
	andlw	0F0h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	skipnz
	goto	u65_21
	goto	u65_20
u65_21:
	goto	i1l2478
u65_20:
	goto	i1l852
	line	239
	
i1l2478:	
;em4095.c: 239: if (parity(buffer[4] & 0b00000111) ^ parity(buffer[3] & 0b10000000) != ((buffer[3] & 0x40) >> 6))
	movf	0+(_buffer)+03h,w
	movwf	(??_check_rfid_data+0)+0
	movlw	06h
u66_25:
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	addlw	-1
	skipz
	goto	u66_25
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+03h,w
	andlw	080h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	movlw	0
	skipz
	movlw	1
	movwf	(??_check_rfid_data+2)+0
	clrf	(??_check_rfid_data+2)+0+1
	movf	0+(_buffer)+04h,w
	andlw	07h
	fcall	_parity
	movwf	(??_check_rfid_data+4)+0
	movf	0+(??_check_rfid_data+2)+0,w
	xorwf	0+(??_check_rfid_data+4)+0,w
	movwf	(??_check_rfid_data+5)+0
	movf	1+(??_check_rfid_data+2)+0,w
	movwf	1+(??_check_rfid_data+5)+0
	movf	1+(??_check_rfid_data+5)+0,w
	iorwf	0+(??_check_rfid_data+5)+0,w
	skipnz
	goto	u67_21
	goto	u67_20
u67_21:
	goto	i1l2482
u67_20:
	goto	i1l852
	line	242
	
i1l2482:	
;em4095.c: 242: if (parity(buffer[3] & 0b00111100) != ((buffer[3] & 0x02) >> 1))
	movf	0+(_buffer)+03h,w
	movwf	(??_check_rfid_data+0)+0
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+03h,w
	andlw	03Ch
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	skipnz
	goto	u68_21
	goto	u68_20
u68_21:
	goto	i1l2486
u68_20:
	goto	i1l852
	line	245
	
i1l2486:	
;em4095.c: 245: if (parity(buffer[3] & 0b00000001) ^ parity(buffer[2] & 0b11100000) != ((buffer[2] & 0x10) >> 4))
	movf	0+(_buffer)+02h,w
	movwf	(??_check_rfid_data+0)+0
	movlw	04h
u69_25:
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	addlw	-1
	skipz
	goto	u69_25
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+02h,w
	andlw	0E0h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	movlw	0
	skipz
	movlw	1
	movwf	(??_check_rfid_data+2)+0
	clrf	(??_check_rfid_data+2)+0+1
	movf	0+(_buffer)+03h,w
	andlw	01h
	fcall	_parity
	movwf	(??_check_rfid_data+4)+0
	movf	0+(??_check_rfid_data+2)+0,w
	xorwf	0+(??_check_rfid_data+4)+0,w
	movwf	(??_check_rfid_data+5)+0
	movf	1+(??_check_rfid_data+2)+0,w
	movwf	1+(??_check_rfid_data+5)+0
	movf	1+(??_check_rfid_data+5)+0,w
	iorwf	0+(??_check_rfid_data+5)+0,w
	skipnz
	goto	u70_21
	goto	u70_20
u70_21:
	goto	i1l2490
u70_20:
	goto	i1l852
	line	248
	
i1l2490:	
;em4095.c: 248: if (parity(buffer[2] & 0b00001111) != ((buffer[1] & 0x80) >> 7))
	movf	0+(_buffer)+01h,w
	movwf	(??_check_rfid_data+0)+0
	movlw	07h
u71_25:
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	addlw	-1
	skipz
	goto	u71_25
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+02h,w
	andlw	0Fh
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	skipnz
	goto	u72_21
	goto	u72_20
u72_21:
	goto	i1l2494
u72_20:
	goto	i1l852
	line	251
	
i1l2494:	
;em4095.c: 251: if (parity(buffer[1] & 0b01111000) != ((buffer[1] & 0x04) >> 2))
	movf	0+(_buffer)+01h,w
	movwf	(??_check_rfid_data+0)+0
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+01h,w
	andlw	078h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	skipnz
	goto	u73_21
	goto	u73_20
u73_21:
	goto	i1l2498
u73_20:
	goto	i1l852
	line	254
	
i1l2498:	
;em4095.c: 254: if (parity(buffer[1] & 0b00000011) ^ parity(buffer[0] & 0b11000000) != ((buffer[0] & 0x20) >> 5))
	movf	(_buffer),w
	movwf	(??_check_rfid_data+0)+0
	movlw	05h
u74_25:
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	addlw	-1
	skipz
	goto	u74_25
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	(_buffer),w
	andlw	0C0h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	movlw	0
	skipz
	movlw	1
	movwf	(??_check_rfid_data+2)+0
	clrf	(??_check_rfid_data+2)+0+1
	movf	0+(_buffer)+01h,w
	andlw	03h
	fcall	_parity
	movwf	(??_check_rfid_data+4)+0
	movf	0+(??_check_rfid_data+2)+0,w
	xorwf	0+(??_check_rfid_data+4)+0,w
	movwf	(??_check_rfid_data+5)+0
	movf	1+(??_check_rfid_data+2)+0,w
	movwf	1+(??_check_rfid_data+5)+0
	movf	1+(??_check_rfid_data+5)+0,w
	iorwf	0+(??_check_rfid_data+5)+0,w
	skipnz
	goto	u75_21
	goto	u75_20
u75_21:
	goto	i1l2502
u75_20:
	goto	i1l852
	line	262
	
i1l2502:	
;em4095.c: 257: if (parity(buffer[6] & 0b01000010) ^
;em4095.c: 258: parity(buffer[5] & 0b00010000) ^
;em4095.c: 259: parity(buffer[4] & 0b10000100) ^
;em4095.c: 260: parity(buffer[3] & 0b00100001) ^
;em4095.c: 261: parity(buffer[2] & 0b00001000) ^
;em4095.c: 262: parity(buffer[1] & 0b01000010) != ((buffer[0] & 0x10) >> 4))
	movf	(_buffer),w
	movwf	(??_check_rfid_data+0)+0
	movlw	04h
u76_25:
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	addlw	-1
	skipz
	goto	u76_25
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+01h,w
	andlw	042h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	movlw	0
	skipz
	movlw	1
	movwf	(??_check_rfid_data+2)+0
	clrf	(??_check_rfid_data+2)+0+1
	movf	0+(_buffer)+06h,w
	andlw	042h
	fcall	_parity
	movwf	(??_check_rfid_data+4)+0
	movf	0+(_buffer)+05h,w
	andlw	010h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+4)+0,w
	movwf	(??_check_rfid_data+5)+0
	movf	0+(_buffer)+04h,w
	andlw	084h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+5)+0,w
	movwf	(??_check_rfid_data+6)+0
	movf	0+(_buffer)+03h,w
	andlw	021h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+6)+0,w
	movwf	(??_check_rfid_data+7)+0
	movf	0+(_buffer)+02h,w
	andlw	08h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+7)+0,w
	movwf	(??_check_rfid_data+8)+0
	movf	0+(??_check_rfid_data+2)+0,w
	xorwf	0+(??_check_rfid_data+8)+0,w
	movwf	(??_check_rfid_data+9)+0
	movf	1+(??_check_rfid_data+2)+0,w
	movwf	1+(??_check_rfid_data+9)+0
	movf	1+(??_check_rfid_data+9)+0,w
	iorwf	0+(??_check_rfid_data+9)+0,w
	skipnz
	goto	u77_21
	goto	u77_20
u77_21:
	goto	i1l2506
u77_20:
	goto	i1l852
	line	270
	
i1l2506:	
;em4095.c: 265: if (parity(buffer[6] & 0b00100001) ^
;em4095.c: 266: parity(buffer[5] & 0b00001000) ^
;em4095.c: 267: parity(buffer[4] & 0b01000010) ^
;em4095.c: 268: parity(buffer[3] & 0b00010000) ^
;em4095.c: 269: parity(buffer[2] & 0b10000100) ^
;em4095.c: 270: parity(buffer[1] & 0b00100001) != ((buffer[0] & 0x08) >> 3))
	movf	(_buffer),w
	movwf	(??_check_rfid_data+0)+0
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+01h,w
	andlw	021h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	movlw	0
	skipz
	movlw	1
	movwf	(??_check_rfid_data+2)+0
	clrf	(??_check_rfid_data+2)+0+1
	movf	0+(_buffer)+06h,w
	andlw	021h
	fcall	_parity
	movwf	(??_check_rfid_data+4)+0
	movf	0+(_buffer)+05h,w
	andlw	08h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+4)+0,w
	movwf	(??_check_rfid_data+5)+0
	movf	0+(_buffer)+04h,w
	andlw	042h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+5)+0,w
	movwf	(??_check_rfid_data+6)+0
	movf	0+(_buffer)+03h,w
	andlw	010h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+6)+0,w
	movwf	(??_check_rfid_data+7)+0
	movf	0+(_buffer)+02h,w
	andlw	084h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+7)+0,w
	movwf	(??_check_rfid_data+8)+0
	movf	0+(??_check_rfid_data+2)+0,w
	xorwf	0+(??_check_rfid_data+8)+0,w
	movwf	(??_check_rfid_data+9)+0
	movf	1+(??_check_rfid_data+2)+0,w
	movwf	1+(??_check_rfid_data+9)+0
	movf	1+(??_check_rfid_data+9)+0,w
	iorwf	0+(??_check_rfid_data+9)+0,w
	skipnz
	goto	u78_21
	goto	u78_20
u78_21:
	goto	i1l2510
u78_20:
	goto	i1l852
	line	279
	
i1l2510:	
;em4095.c: 273: if (parity(buffer[6] & 0b00010000) ^
;em4095.c: 274: parity(buffer[5] & 0b10000100) ^
;em4095.c: 275: parity(buffer[4] & 0b00100001) ^
;em4095.c: 276: parity(buffer[3] & 0b00001000) ^
;em4095.c: 277: parity(buffer[2] & 0b01000010) ^
;em4095.c: 278: parity(buffer[1] & 0b00010000) ^
;em4095.c: 279: parity(buffer[0] & 0b10000000) != ((buffer[0] & 0x04) >> 2))
	movf	(_buffer),w
	movwf	(??_check_rfid_data+0)+0
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	(_buffer),w
	andlw	080h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	movlw	0
	skipz
	movlw	1
	movwf	(??_check_rfid_data+2)+0
	clrf	(??_check_rfid_data+2)+0+1
	movf	0+(_buffer)+06h,w
	andlw	010h
	fcall	_parity
	movwf	(??_check_rfid_data+4)+0
	movf	0+(_buffer)+05h,w
	andlw	084h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+4)+0,w
	movwf	(??_check_rfid_data+5)+0
	movf	0+(_buffer)+04h,w
	andlw	021h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+5)+0,w
	movwf	(??_check_rfid_data+6)+0
	movf	0+(_buffer)+03h,w
	andlw	08h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+6)+0,w
	movwf	(??_check_rfid_data+7)+0
	movf	0+(_buffer)+02h,w
	andlw	042h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+7)+0,w
	movwf	(??_check_rfid_data+8)+0
	movf	0+(_buffer)+01h,w
	andlw	010h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+8)+0,w
	movwf	(??_check_rfid_data+9)+0
	movf	0+(??_check_rfid_data+2)+0,w
	xorwf	0+(??_check_rfid_data+9)+0,w
	movwf	(??_check_rfid_data+10)+0
	movf	1+(??_check_rfid_data+2)+0,w
	movwf	1+(??_check_rfid_data+10)+0
	movf	1+(??_check_rfid_data+10)+0,w
	iorwf	0+(??_check_rfid_data+10)+0,w
	skipnz
	goto	u79_21
	goto	u79_20
u79_21:
	goto	i1l2514
u79_20:
	goto	i1l852
	line	288
	
i1l2514:	
;em4095.c: 282: if (parity(buffer[6] & 0b00001000) ^
;em4095.c: 283: parity(buffer[5] & 0b01000010) ^
;em4095.c: 284: parity(buffer[4] & 0b00010000) ^
;em4095.c: 285: parity(buffer[3] & 0b10000100) ^
;em4095.c: 286: parity(buffer[2] & 0b00100001) ^
;em4095.c: 287: parity(buffer[1] & 0b00001000) ^
;em4095.c: 288: parity(buffer[0] & 0b01000000) != ((buffer[0] & 0x02) >> 1))
	movf	(_buffer),w
	movwf	(??_check_rfid_data+0)+0
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	movlw	(01h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	(_buffer),w
	andlw	040h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+1)+0,w
	movlw	0
	skipz
	movlw	1
	movwf	(??_check_rfid_data+2)+0
	clrf	(??_check_rfid_data+2)+0+1
	movf	0+(_buffer)+06h,w
	andlw	08h
	fcall	_parity
	movwf	(??_check_rfid_data+4)+0
	movf	0+(_buffer)+05h,w
	andlw	042h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+4)+0,w
	movwf	(??_check_rfid_data+5)+0
	movf	0+(_buffer)+04h,w
	andlw	010h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+5)+0,w
	movwf	(??_check_rfid_data+6)+0
	movf	0+(_buffer)+03h,w
	andlw	084h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+6)+0,w
	movwf	(??_check_rfid_data+7)+0
	movf	0+(_buffer)+02h,w
	andlw	021h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+7)+0,w
	movwf	(??_check_rfid_data+8)+0
	movf	0+(_buffer)+01h,w
	andlw	08h
	fcall	_parity
	xorwf	0+(??_check_rfid_data+8)+0,w
	movwf	(??_check_rfid_data+9)+0
	movf	0+(??_check_rfid_data+2)+0,w
	xorwf	0+(??_check_rfid_data+9)+0,w
	movwf	(??_check_rfid_data+10)+0
	movf	1+(??_check_rfid_data+2)+0,w
	movwf	1+(??_check_rfid_data+10)+0
	movf	1+(??_check_rfid_data+10)+0,w
	iorwf	0+(??_check_rfid_data+10)+0,w
	skipnz
	goto	u80_21
	goto	u80_20
u80_21:
	goto	i1l2518
u80_20:
	goto	i1l852
	line	293
	
i1l2518:	
;em4095.c: 291: data[4] = ((buffer[6] & 0b01111000) << 1) |
;em4095.c: 292: ((buffer[6] & 0b00000011) << 2) |
;em4095.c: 293: ((buffer[5] & 0b11000000) >> 6);
	movf	0+(_buffer)+05h,w
	movwf	(??_check_rfid_data+0)+0
	movlw	06h
u81_25:
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	addlw	-1
	skipz
	goto	u81_25
	movlw	(03h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+06h,w
	andlw	03h
	movwf	(??_check_rfid_data+2)+0
	clrc
	rlf	(??_check_rfid_data+2)+0,f
	clrc
	rlf	(??_check_rfid_data+2)+0,f
	movf	0+(_buffer)+06h,w
	andlw	078h
	movwf	(??_check_rfid_data+3)+0
	addwf	(??_check_rfid_data+3)+0,w
	iorwf	0+(??_check_rfid_data+2)+0,w
	iorwf	0+(??_check_rfid_data+1)+0,w
	movwf	0+(_data)+04h
	line	296
;em4095.c: 295: data[3] = ((buffer[5] & 0b00011110) << 3) |
;em4095.c: 296: ((buffer[4] & 0b11110000) >> 4);
	movf	0+(_buffer)+04h,w
	movwf	(??_check_rfid_data+0)+0
	movlw	04h
u82_25:
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	addlw	-1
	skipz
	goto	u82_25
	movlw	(0Fh)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+05h,w
	andlw	01Eh
	movwf	(??_check_rfid_data+2)+0
	clrc
	rlf	(??_check_rfid_data+2)+0,f
	clrc
	rlf	(??_check_rfid_data+2)+0,f
	clrc
	rlf	(??_check_rfid_data+2)+0,w
	iorwf	0+(??_check_rfid_data+1)+0,w
	movwf	0+(_data)+03h
	line	300
;em4095.c: 298: data[2] = ((buffer[4] & 0b00000111) << 5) |
;em4095.c: 299: ((buffer[3] & 0b10000000) >> 3) |
;em4095.c: 300: ((buffer[3] & 0b00111100) >> 2);
	movf	0+(_buffer)+03h,w
	movwf	(??_check_rfid_data+0)+0
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	movlw	(0Fh)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+03h,w
	movwf	(??_check_rfid_data+2)+0
	clrc
	rrf	(??_check_rfid_data+2)+0,f
	clrc
	rrf	(??_check_rfid_data+2)+0,f
	clrc
	rrf	(??_check_rfid_data+2)+0,f
	movlw	(010h)
	andwf	0+(??_check_rfid_data+2)+0,w
	movwf	(??_check_rfid_data+3)+0
	movf	0+(_buffer)+04h,w
	andlw	07h
	movwf	(??_check_rfid_data+4)+0
	movlw	(05h)-1
u83_25:
	clrc
	rlf	(??_check_rfid_data+4)+0,f
	addlw	-1
	skipz
	goto	u83_25
	clrc
	rlf	(??_check_rfid_data+4)+0,w
	iorwf	0+(??_check_rfid_data+3)+0,w
	iorwf	0+(??_check_rfid_data+1)+0,w
	movwf	0+(_data)+02h
	line	304
;em4095.c: 302: data[1] = ((buffer[3] & 0b00000001) << 7) |
;em4095.c: 303: ((buffer[2] & 0b11100000) >> 1) |
;em4095.c: 304: (buffer[2] & 0b00001111);
	movlw	(0Fh)
	andwf	0+(_buffer)+02h,w
	movwf	(??_check_rfid_data+0)+0
	movf	0+(_buffer)+02h,w
	movwf	(??_check_rfid_data+1)+0
	clrc
	rrf	(??_check_rfid_data+1)+0,f
	movlw	(070h)
	andwf	0+(??_check_rfid_data+1)+0,w
	movwf	(??_check_rfid_data+2)+0
	movf	0+(_buffer)+03h,w
	andlw	01h
	movwf	(??_check_rfid_data+3)+0
	movlw	(07h)-1
u84_25:
	clrc
	rlf	(??_check_rfid_data+3)+0,f
	addlw	-1
	skipz
	goto	u84_25
	clrc
	rlf	(??_check_rfid_data+3)+0,w
	iorwf	0+(??_check_rfid_data+2)+0,w
	iorwf	0+(??_check_rfid_data+0)+0,w
	movwf	0+(_data)+01h
	line	308
;em4095.c: 306: data[0] = ((buffer[1] & 0b01111000) << 1) |
;em4095.c: 307: ((buffer[1] & 0b00000011) << 2) |
;em4095.c: 308: ((buffer[0] & 0b11000000) >> 6);
	movf	(_buffer),w
	movwf	(??_check_rfid_data+0)+0
	movlw	06h
u85_25:
	clrc
	rrf	(??_check_rfid_data+0)+0,f
	addlw	-1
	skipz
	goto	u85_25
	movlw	(03h)
	andwf	0+(??_check_rfid_data+0)+0,w
	movwf	(??_check_rfid_data+1)+0
	movf	0+(_buffer)+01h,w
	andlw	03h
	movwf	(??_check_rfid_data+2)+0
	clrc
	rlf	(??_check_rfid_data+2)+0,f
	clrc
	rlf	(??_check_rfid_data+2)+0,f
	movf	0+(_buffer)+01h,w
	andlw	078h
	movwf	(??_check_rfid_data+3)+0
	addwf	(??_check_rfid_data+3)+0,w
	iorwf	0+(??_check_rfid_data+2)+0,w
	iorwf	0+(??_check_rfid_data+1)+0,w
	movwf	(_data)
	line	310
	
i1l2520:	
;em4095.c: 310: dataReady = 1;
	clrf	(_dataReady)
	incf	(_dataReady),f
	line	313
	
i1l852:	
	return
	opt stack 0
GLOBAL	__end_of_check_rfid_data
	__end_of_check_rfid_data:
;; =============== function _check_rfid_data ends ============

	signat	_check_rfid_data,89
	global	i1_rfid_reset
psect	text556,local,class=CODE,delta=2
global __ptext556
__ptext556:

;; *************** function i1_rfid_reset *****************
;; Defined at:
;;		line 139 in file "C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
;; Parameters:    Size  Location     Type
;;		None
;; Auto vars:     Size  Location     Type
;;		None
;; Return value:  Size  Location     Type
;;		None               void
;; Registers used:
;;		wreg, status,2
;; Tracked objects:
;;		On entry : 60/0
;;		On exit  : 60/0
;;		Unchanged: FFF9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         0       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         0       0       0       0
;;Total ram usage:        0 bytes
;; Hardware stack levels used:    1
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_rfid_interrupt
;;		_buffer_add_bit
;; This function uses a non-reentrant model
;;
psect	text556
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	139
	global	__size_ofi1_rfid_reset
	__size_ofi1_rfid_reset	equ	__end_ofi1_rfid_reset-i1_rfid_reset
	
i1_rfid_reset:	
	opt	stack 3
; Regs used in i1_rfid_reset: [wreg+status,2]
	line	140
	
i1l2552:	
;em4095.c: 140: buffer[0] = 0;
	clrf	(_buffer)
	line	141
;em4095.c: 141: buffer[1] = 0;
	clrf	0+(_buffer)+01h
	line	142
;em4095.c: 142: buffer[2] = 0;
	clrf	0+(_buffer)+02h
	line	143
;em4095.c: 143: buffer[3] = 0;
	clrf	0+(_buffer)+03h
	line	144
;em4095.c: 144: buffer[4] = 0;
	clrf	0+(_buffer)+04h
	line	145
;em4095.c: 145: buffer[5] = 0;
	clrf	0+(_buffer)+05h
	line	146
;em4095.c: 146: buffer[6] = 0;
	clrf	0+(_buffer)+06h
	line	147
;em4095.c: 147: buffer[7] = 0;
	clrf	0+(_buffer)+07h
	line	149
	
i1l2554:	
;em4095.c: 149: currentBit = 1;
	clrf	(_currentBit)
	incf	(_currentBit),f
	line	150
;em4095.c: 150: needNextManchesterT = 0;
	clrf	(_needNextManchesterT)
	line	152
	
i1l2556:	
;em4095.c: 152: bitReceived = 7;
	movlw	(07h)
	movwf	(_bitReceived)
	line	153
	
i1l2558:	
;em4095.c: 153: byteReceived = 6;
	movlw	(06h)
	movwf	(_byteReceived)
	line	155
	
i1l2560:	
;em4095.c: 155: CCP1CON = 0x05;
	movlw	(05h)
	movwf	(23)	;volatile
	line	156
	
i1l834:	
	return
	opt stack 0
GLOBAL	__end_ofi1_rfid_reset
	__end_ofi1_rfid_reset:
;; =============== function i1_rfid_reset ends ============

	signat	i1_rfid_reset,88
	global	_parity
psect	text557,local,class=CODE,delta=2
global __ptext557
__ptext557:

;; *************** function _parity *****************
;; Defined at:
;;		line 185 in file "C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
;; Parameters:    Size  Location     Type
;;  dataIn          1    wreg     unsigned char 
;; Auto vars:     Size  Location     Type
;;  dataIn          1    0[COMMON] unsigned char 
;;  par             1    2[COMMON] unsigned char 
;;  n               1    1[COMMON] unsigned char 
;; Return value:  Size  Location     Type
;;                  1    wreg      unsigned char 
;; Registers used:
;;		wreg, status,2, status,0
;; Tracked objects:
;;		On entry : 160/0
;;		On exit  : 160/0
;;		Unchanged: FFE9F/0
;; Data sizes:     COMMON   BANK0   BANK1   BANK2
;;      Params:         0       0       0       0
;;      Locals:         3       0       0       0
;;      Temps:          0       0       0       0
;;      Totals:         3       0       0       0
;;Total ram usage:        3 bytes
;; Hardware stack levels used:    1
;; This function calls:
;;		Nothing
;; This function is called by:
;;		_check_rfid_data
;; This function uses a non-reentrant model
;;
psect	text557
	file	"C:\Users\RomanM\Documents\Microchip\RFID\em4095.c"
	line	185
	global	__size_of_parity
	__size_of_parity	equ	__end_of_parity-_parity
	
_parity:	
	opt	stack 1
; Regs used in _parity: [wreg+status,2+status,0]
;parity@dataIn stored from wreg
	line	187
	movwf	(parity@dataIn)
	
i1l2524:	
;em4095.c: 186: char n;
;em4095.c: 187: char par = 0;
	clrf	(parity@par)
	line	189
	
i1l2526:	
;em4095.c: 189: for (n = 8; n; n--) {
	movlw	(08h)
	movwf	(parity@n)
	goto	i1l2534
	line	190
	
i1l2528:	
;em4095.c: 190: par ^= dataIn & 0x01;
	movf	(parity@dataIn),w
	andlw	01h
	xorwf	(parity@par),f
	line	191
	
i1l2530:	
;em4095.c: 191: dataIn >>= 1;
	clrc
	rrf	(parity@dataIn),f
	line	189
	
i1l2532:	
	decf	(parity@n),f
	
i1l2534:	
	movf	(parity@n),f
	skipz
	goto	u86_21
	goto	u86_20
u86_21:
	goto	i1l2528
u86_20:
	line	193
	
i1l2536:	
;em4095.c: 192: }
;em4095.c: 193: return par;
	movf	(parity@par),w
	line	194
	
i1l846:	
	return
	opt stack 0
GLOBAL	__end_of_parity
	__end_of_parity:
;; =============== function _parity ends ============

	signat	_parity,4217
psect	text558,local,class=CODE,delta=2
global __ptext558
__ptext558:
	global	btemp
	btemp set 07Eh

	DABS	1,126,2	;btemp
	global	wtemp0
	wtemp0 set btemp
	end
