/*****************************************************************************************
*
* File:		usart.h
* Author:	Roman Mego
* Date:		8. April 2011
*
* Brief:	Header file for usart.c (sending over USART on PIC16)
*
*****************************************************************************************/

void init_usart(void);				// initialize serial port
void usart_putc(char c);			// send byte
void usart_puts(char *s);			// send string from RAM
void usart_puts_rom(const char *s);	// send string from ROM