/*****************************************************************************************
*
* File:		signalization.c
* Author:	Roman Mego
* Date:		8. April 2011
*
* Brief:	Functions for signalization
*
*****************************************************************************************/

#include <htc.h>
#include "signalization.h"

/*****************************************************************************************
* Initialization
*****************************************************************************************/

void init_signalization(void) {
	CMCON = 0x07;					// turn off comparators

	LED_R_dir &= ~(1 << LED_R_pin);	// set red LED pin as output
	LED_G_dir &= ~(1 << LED_G_pin);	// set green LED pin as output

	LED_OFF;						// turn LED off
}